> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get your transactional email activity aggregated per day

GET https://api.brevo.com/v3/smtp/statistics/reports

This endpoint will show the aggregated stats per day for the past 10 days by default if `startDate` and `endDate` OR `days` is not passed. The date range can not exceed 30 days.

Reference: https://developers.brevo.com/reference/get-smtp-report

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `limit` (long, optional, default: 10) — Number of documents returned per page
- `offset` (long, optional, default: 0) — Index of the first document on the page
- `startDate` (string, optional) — **Mandatory if endDate is used.** Starting date of the report (YYYY-MM-DD)
- `endDate` (string, optional) — **Mandatory if startDate is used.** Ending date of the report (YYYY-MM-DD)
- `days` (long, optional) — Number of days in the past including today (positive integer, maximum 30). _Not compatible with 'startDate' and 'endDate'_
- `tag` (string, optional) — Tag of the emails
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed
  - Allowed values: `asc`, `desc`

## Response

### 200

Aggregated report informations

- `reports` (list of object, optional)
  - `blocked` (long, required) — Number of blocked emails for the date
  - `clicks` (long, required) — Number of clicks for the date
  - `date` (date, required) — Date of the statistics
  - `delivered` (long, required) — Number of delivered emails for the date
  - `hardBounces` (long, required) — Number of hardbounces for the date
  - `invalid` (long, required) — Number of invalid emails for the date
  - `opens` (long, required) — Number of openings for the date
  - `requests` (long, required) — Number of requests for the date
  - `softBounces` (long, required) — Number of softbounces for the date
  - `spamReports` (long, required) — Number of complaints (spam reports) for the date
  - `uniqueClicks` (long, required) — Number of unique clicks for the date
  - `uniqueOpens` (long, required) — Number of unique openings for the date
  - `unsubscribed` (long, required) — Number of unsubscribed emails for the date

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "reports": [
    {
      "blocked": 519,
      "clicks": 1026,
      "date": "2017-04-30",
      "delivered": 10103,
      "hardBounces": 21,
      "invalid": 1,
      "opens": 5091,
      "requests": 10756,
      "softBounces": 137,
      "spamReports": 0,
      "uniqueClicks": 720,
      "uniqueOpens": 2318,
      "unsubscribed": 0
    },
    {
      "blocked": 920,
      "clicks": 1514,
      "date": "2017-05-01",
      "delivered": 17499,
      "hardBounces": 34,
      "invalid": 2,
      "opens": 10089,
      "requests": 18812,
      "softBounces": 254,
      "spamReports": 0,
      "uniqueClicks": 1090,
      "uniqueOpens": 4393,
      "unsubscribed": 3
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.transactionalEmails.getSmtpReport({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.transactional_emails.get_smtp_report()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\TransactionalEmails\Requests\GetSmtpReportRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->transactionalEmails->getSmtpReport(
    new GetSmtpReportRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smtp/statistics/reports"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smtp/statistics/reports")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/smtp/statistics/reports")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smtp/statistics/reports");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smtp/statistics/reports")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```